lomiri-ui-toolkit (1.3.6000~really1.3.5905+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix Ubuntu fonts patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 Apr 2026 10:07:54 -0400

lomiri-ui-toolkit (1.3.6000~really1.3.5905+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use mangled version number to supersede version used in experimental
  * Refresh patch
  * Remove 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 19 Apr 2026 10:42:49 -0400

lomiri-ui-toolkit (1.3.5904+dfsg-3) unstable; urgency=medium

  * Use Build-Depends: dbus-daemon instead of dbus (Closes: #1122672)
  * Update Standards Version to 4.7.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 Apr 2026 10:21:56 -0400

lomiri-ui-toolkit (1.3.5904+dfsg-2) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Add patch to increase timeout for a build test
  * Run wrap-and-sort -at

  [ Mike Gabriel ]
  * debian/rules: Drop env wrappings from dh_auto_test calls. Not needed.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 04 Apr 2026 23:21:20 -0400

lomiri-ui-toolkit (1.3.5904+dfsg-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/:
    + Build against Qt5 and Qt6.
    + Add logic for choosing Noto Core fonts vs. Ubuntu fonts depending on the
      distro base. (This still needs some magic for applying / not applying the
      font modification patch).
    + White-space fixes.
  * debian/patches:
    + Drop 0001_prepare-Alarm-component-to-support-others-alarm-back.patch.
      Included in this release.
    + Add 2004_Qt5-qmlapicheck-no-ubuntu-compat.patch. Fix qmlapicheck test if
      built with LOMIRI_UITK_WANT_UBUNTU_COMPAT set.
  * debian/rules:
    + Assure source dir clean-up after build. (Closes: #1048138, #1049649).
    + Don't clean-up sync.profile anymore during clean target.
    + Make file more similar to upstream's d/rules files.
    + Set DPKG_EXPORT_BUILDFLAGS to 1.
  * debian/control:
    + Add missing B-D: libbluetooth-dev.
    + Bump Standards-Version: to 4.7.3.
    + Drop pep8 from B-D: field. (Closes: #1093283).
    + Drop devscripts from B-D: field. (Closes: #1110279).
    + Adjust SYNOPSIS and LONG_DESC fields to upstream's d/control file.
    + Drop Priority: field.
    + Update B-D: field. Make it more similar to upstream's B-D: field.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * lintian:
    + Add file-contains-fixme-placeholder overrides for d/copyright.
    + Add image-file-in-usr-lib overrides for Qt6 packages.
    + Override empty-binary package for lomiri-ui-toolkit-common. This is
      intended.
    + Add debian-rules-contains-unnecessary-get-orig-source-target override.
    + Update line-numbers in debian/source/lintian-overrides.
    + Add several more lintian overrides: no-symbols-control-file, package-
      contains-no-arch-dependent-files and no-manual-page.
    + Drop various package-name-doesnt-match-sonames and image-file-in-usr-lib
      overrides
  * debian/session-migrations/:
    + Ship Ubuntu Touch migration script.

  [ Guido Berhoerster ]
  * debian/:
    + Build against Qt5 and Qt6 (fixups)
  * lintian:
    + Add file-contains-fixme-placeholder overrides for d/copyright (fixups).
  * debian/copyright:
    + Update copyright attributions (fixups).

  [ Thorsten Alteholz ]
  * Use salsa-ci.yml instead of .gitlab-ci.yml

  [ Bhushan Shah ]
  * debian/rules: Fix cross-compile with qmake

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Mar 2026 00:32:57 +0200

lomiri-ui-toolkit (1.3.5110+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_prepare-Alarm-component-to-support-others-alarm-back.patch.
      Support ALARM_BACKEND variable so it can be set to 'mkcal'.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Jan 2025 18:01:30 +0100

lomiri-ui-toolkit (1.3.5110+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003-src-imports-Components-Themes-Ambiance-1.3-Scrollbar.patch and
      0004_LomiriToolkit-enable-X11-touch-emulation-on-all-architectures.patch.
      Both applied upstream.
    + Rebase 2003_stop-using-Ubuntu-fonts.patch.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jan 2025 11:28:21 +0100

lomiri-ui-toolkit (1.3.5100+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Add 0004_LomiriToolkit-enable-X11-touch-emulation-on-all-
      architectures.patch. LomiriToolkit: enable X11 touch emulation
      on all architectures. (Closes: #1069558).
  * debian/control:
    + Install libx11-dev, libxcb1-dev and libxi-dev via B-D also when building
      on armhf.
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/rules:
    + Add armhf as test architecture.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Nov 2024 18:44:51 +0100

lomiri-ui-toolkit (1.3.5100+dfsg-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Drop from B-D: libqt5systeminfo5 (should get pulled in via qtsystems5-dev,
      already in B-D). (Closes: #1078725).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Aug 2024 14:17:14 +0200

lomiri-ui-toolkit (1.3.5100+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-fix-tests-on-qt-5.15.4.patch, 0002-fix-tests-on-qt-
      5.15.5.patch. Issues handled upstream.
    + Drop 2002_exclude-dodgy-tests-for-now.patch, 2005_disable-test-failing-
      with-Qt-5.15.11.patch. No test failures to be expected anymore.
    + Add 'import QtQml 2.14' to 0003-src-imports-Components-Themes-Ambiance-
      1.3-Scrollbar.patch. (Closes: #1067009).
  * debian/copyright:
    + Update Files-Excluded: section. Add upstream's debian/ folder.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Update line numbers.
  * debian/*.lintian-overrides:
    + Adjust library names in package-name-doesnt-match-sonames overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Mar 2024 08:11:03 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-5) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Disable tst_UCUnits::gridUnitEnvironmentVariable() that fails with
    Qt 5.15.11 because of a change in minimal platform plugin. (Closes:
    #1060761).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 10:09:12 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-4) unstable; urgency=medium

  * debian/liblomiri*.symbols:
    + Drop files. Having caused more woes than happiness, esp. in relation
      to cross-distro maintenance (Debian/Ubuntu).
  * debian/rules:
    + Stop using pkgkde_symbolshelper tool.
  * debian/control:
    + Drop from B-D: pkg-kde-tools.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 08:19:46 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-3) unstable; urgency=medium

  * debian/patches:
    + Add 0003-src-imports-Components-Themes-Ambiance-1.3-Scrollbar.patch.
      Explicitly set >= Qt5.14 property Binding.restoreMode to avoid many log
      warnings.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Feb 2024 09:00:12 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062671

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 09:48:59 +0000

lomiri-ui-toolkit (1.3.5012+dfsg-2) unstable; urgency=medium

  * Re-upload with changes of 1.3.5010+dfsg-2 and 1.3.5010+dfsg-3 included.
    (1.3.5012+dfsg-1 was created without pulling in Marius Gripsgard's work).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 22:50:16 +0100

lomiri-ui-toolkit (1.3.5012+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS with Qt >= 5.15.11. (Closes: #1060761).
  * debian/patches:
    + Drop 1004_stop-privacy-breach-in-documenation-files.patch. Not required
      anymore to prevent privacy breach.
    + Trivial rebase of 0002-fix-tests-on-qt-5.15.5.patch and 2003_stop-using-
      Ubuntu-fonts.patch.
    + Add patch header to 2003_stop-using-Ubuntu-fonts.patch.
  * debian/control:
    + Change B-D from libfontconfig1-dev -> libfontconfig-dev and libtruetype6-
      dev to libtruetype-dev. Thanks, lintian.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Update line numbers of file-contains-fixme-placeholder overrides.
  * debian/lomiri-ui-toolkit-doc.install:
    + API documentation is now already installed to the place we want them at.
      No need to move the dirtree around anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 21:07:43 +0100

lomiri-ui-toolkit (1.3.5010+dfsg-3) unstable; urgency=medium

  * debian/patches: Add patch to fix FTBFS on s390x

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 19:46:09 +0200

lomiri-ui-toolkit (1.3.5010+dfsg-2) unstable; urgency=medium

  * debian/patches: Add another flaky test spotted with
    qt 5.15.10 (Closes: #1040800)

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 03:43:41 +0200

lomiri-ui-toolkit (1.3.5010+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.
    - FTBFS discovered in sid-rebuilds not reproducible. (Closes: #1031446).
  * debian/control:
    + Resolve dev:pkg dependencies. Resolves crossbuilds of Lomiri.
    + Switch from fonts-ubuntu to fonts-noto*.
  * debian/patches:
    + Add 2003_stop-using-Ubuntu-fonts.patch. Stop using Ubuntu fonts, use
      Noto fonts alternatively.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 18:43:10 +0100

lomiri-ui-toolkit (1.3.5000+dfsg-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
    - Various local rebuilds did not show any FTBFS behaviour anymore.
      (Closes: #1030452).
  * debian/:
    + Update upstream Git repo URL.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/patches:
    + Add 0002-fix-tests-on-qt-5.15.5.patch.
    + Drop patches 1002, 1003 and 1005.
    + Rebase 0002-fix-tests-on-qt-5.15.5.patch.
  * debian/rules:
    + No need to rename scripts files anymore. Upstream accepted our patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
    + Update copyright attributions for debian/.
  * debian/liblomiritoolkit5.symbols:
    + Add missing symbol.
  * lintian: Update line numbers in overrides.

  [ Anton Gladky ]
  * debian/.gitlab-ci.yml:
    + Add file.
    + Let blhc fail.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 16:58:38 +0100

lomiri-ui-toolkit (1.3.4000+dfsg-1) unstable; urgency=medium

  * New upstream release v1.3.4000
  * debian/rules: flip logic around to only define know working test arches
  * patches: Remove upstreamed patch
    - 1001_typo-fixes.patch
  * debian/patches: Fix and skip flaky tests on qt 5.15.4
  * debian/control: Add myself as uploader
  * debian/copyright: Update copyright to match upstream release
  * debian/sybols: Update symbols to match new release

 -- Marius Gripsgard <marius@ubports.com>  Tue, 21 Jun 2022 17:44:34 +0200

lomiri-ui-toolkit (1.3.3000+dfsg-5) unstable; urgency=medium

  * debian/control:
    + Drop hard-dependency (liblomirimetrics5) on liblttng-ust0.
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 10 Dec 2021 10:51:23 +0100

lomiri-ui-toolkit (1.3.3000+dfsg-4) unstable; urgency=medium

  * Re-upload as is to unstable. (Now really!).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 22:05:08 +0100

lomiri-ui-toolkit (1.3.3000+dfsg-3) unstable; urgency=medium

  * Re-upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:45:20 +0100

lomiri-ui-toolkit (1.3.3000+dfsg-2) experimental; urgency=medium

  * debian/control:
    + Use non-transitional bin:pkg 'fonts-ubuntu' now, downgrade to Suggests:
      field (Ubuntu fonts are in non-free, so...).
  * debian/copyright:
    + Update license information (CC-BY-SA-3.0) for artwork files.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 May 2021 14:05:11 +0200

lomiri-ui-toolkit (1.3.3000+dfsg-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #962301).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 May 2021 22:53:41 +0200
